<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__simple__scan__result" kind="struct" language="C++" prot="public">
    <compoundname>whd_simple_scan_result</compoundname>
    <includes local="no">whd_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__simple__scan__result_1ae3940d431c3c3ed25294eb70a02c330b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__ssid__t">whd_ssid_t</ref></type>
        <definition>whd_ssid_t SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>Name of Access Point) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="700" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="700" />
      </memberdef>
      <memberdef id="structwhd__simple__scan__result_1acff14471b28062500a2992114ae54765" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref></type>
        <definition>whd_mac_t BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>Basic Service Set Identification (i.e. </para>
        </briefdescription>
        <detaileddescription>
<para>MAC address of Access Point) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="701" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="701" />
      </memberdef>
      <memberdef id="structwhd__simple__scan__result_1ac303b69da3c469c92299a6ff260e2859" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t signal_strength</definition>
        <argsstring />
        <name>signal_strength</name>
        <briefdescription>
<para>Receive Signal Strength Indication in dBm. </para>
        </briefdescription>
        <detaileddescription>
<para>&lt;-90=Very poor, &gt;-30=Excellent </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="702" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="702" />
      </memberdef>
      <memberdef id="structwhd__simple__scan__result_1ae8d5baabacdabe6d3590465572849754" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1aaeeea5666743710aa4f01ff264b27059">whd_security_t</ref></type>
        <definition>whd_security_t security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="703" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="703" />
      </memberdef>
      <memberdef id="structwhd__simple__scan__result_1a715f5cb061d11eb75981741eda4dafcd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>Radio channel that the AP beacon was received on. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="704" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="704" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure to store scan result parameters for each AP. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="54">
        <label>whd_ssid_t</label>
        <link refid="structwhd__ssid__t" />
      </node>
      <node id="53">
        <label>whd_simple_scan_result</label>
        <link refid="structwhd__simple__scan__result" />
        <childnode refid="54" relation="usage">
          <edgelabel>SSID</edgelabel>
        </childnode>
        <childnode refid="55" relation="usage">
          <edgelabel>BSSID</edgelabel>
        </childnode>
      </node>
      <node id="55">
        <label>whd_mac_t</label>
        <link refid="structwhd__mac__t" />
      </node>
    </collaborationgraph>
    <location bodyend="705" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="698" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="699" />
    <listofallmembers>
      <member prot="public" refid="structwhd__simple__scan__result_1acff14471b28062500a2992114ae54765" virt="non-virtual"><scope>whd_simple_scan_result</scope><name>BSSID</name></member>
      <member prot="public" refid="structwhd__simple__scan__result_1a715f5cb061d11eb75981741eda4dafcd" virt="non-virtual"><scope>whd_simple_scan_result</scope><name>channel</name></member>
      <member prot="public" refid="structwhd__simple__scan__result_1ae8d5baabacdabe6d3590465572849754" virt="non-virtual"><scope>whd_simple_scan_result</scope><name>security</name></member>
      <member prot="public" refid="structwhd__simple__scan__result_1ac303b69da3c469c92299a6ff260e2859" virt="non-virtual"><scope>whd_simple_scan_result</scope><name>signal_strength</name></member>
      <member prot="public" refid="structwhd__simple__scan__result_1ae3940d431c3c3ed25294eb70a02c330b" virt="non-virtual"><scope>whd_simple_scan_result</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>